Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
pygaze._screen.osscreen.OSScreen Class Reference
Inheritance diagram for pygaze._screen.osscreen.OSScreen:

## Public Member Functions
| __init__ (self, screen=None, **args)
| create (self, screen=None)
| clear (self, colour=None)
| copy (self, screen)
| draw_circle (self, colour=None, pos=None, r=50, pw=1, fill=False)
| draw_ellipse (self, colour=None, x=None, y=None, w=50, h=50, pw=1, fill=False)
| draw_rect (self, colour=None, x=None, y=None, w=50, h=50, pw=1, fill=False)
| draw_line (self, colour=None, spos=None, epos=None, pw=1)
| draw_polygon (self, pointlist, colour=None, pw=1, fill=True)
| draw_fixation (self, fixtype='cross', colour=None, pos=None, pw=1, diameter=12)
| draw_text (self, text='text', colour=None, pos=None, center=True, font='mono', fontsize=12, antialias=True)
| draw_image (self, image, pos=None, scale=None)
| set_background_colour (self, colour=None)
Public Member Functions inherited from pygaze._screen.basescreen.BaseScreen
| __init__ (self)

## Public Attributes
| experiment = settings.osexperiment
str | uniform_coordinates = u'yes'
| canvas = screen.copy()

## Protected Member Functions
| _pos (self, pos)

## Detailed Description

    See _display.pygamescreen.PyGameScreen

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze._screen.osscreen.OSScreen.__init__ | ( |  | self,
|  |  | screen = None,
|  | ** | args )

    See _display.pygamescreen.PyGameScreen

## Member Function Documentation

## ◆ _pos()

pygaze._screen.osscreen.OSScreen._pos | ( |  | self,
|  |  | pos )
| protected

    Convert PyGaze coordinates to OpenSesame coordinates.

## ◆ clear()

pygaze._screen.osscreen.OSScreen.clear | ( |  | self,
|  |  | colour = None )

    See _display.pygamescreen.PyGameScreen

Reimplemented from pygaze._screen.basescreen.BaseScreen.

## ◆ copy()

pygaze._screen.osscreen.OSScreen.copy | ( |  | self,
|  |  | screen )

    See _display.pygamescreen.PyGameScreen

Reimplemented from pygaze._screen.basescreen.BaseScreen.

## ◆ create()

pygaze._screen.osscreen.OSScreen.create | ( |  | self,
|  |  | screen = None )

    See _display.pygamescreen.PyGameScreen

Reimplemented from pygaze._screen.basescreen.BaseScreen.

## ◆ draw_circle()

pygaze._screen.osscreen.OSScreen.draw_circle | ( |  | self,
|  |  | colour = None,
|  |  | pos = None,
|  |  | r = 50,
|  |  | pw = 1,
|  |  | fill = False )

    See _display.pygamescreen.PyGameScreen

Reimplemented from pygaze._screen.basescreen.BaseScreen.

## ◆ draw_ellipse()

pygaze._screen.osscreen.OSScreen.draw_ellipse | ( |  | self,
|  |  | colour = None,
|  |  | x = None,
|  |  | y = None,
|  |  | w = 50,
|  |  | h = 50,
|  |  | pw = 1,
|  |  | fill = False )

    See _display.pygamescreen.PyGameScreen

Reimplemented from pygaze._screen.basescreen.BaseScreen.

## ◆ draw_fixation()

pygaze._screen.osscreen.OSScreen.draw_fixation | ( |  | self,
|  |  | fixtype = 'cross',
|  |  | colour = None,
|  |  | pos = None,
|  |  | pw = 1,
|  |  | diameter = 12 )

    See _display.pygamescreen.PyGameScreen

Reimplemented from pygaze._screen.basescreen.BaseScreen.

## ◆ draw_image()

pygaze._screen.osscreen.OSScreen.draw_image | ( |  | self,
|  |  | image,
|  |  | pos = None,
|  |  | scale = None )

    See _display.pygamescreen.PyGameScreen

Reimplemented from pygaze._screen.basescreen.BaseScreen.

## ◆ draw_line()

pygaze._screen.osscreen.OSScreen.draw_line | ( |  | self,
|  |  | colour = None,
|  |  | spos = None,
|  |  | epos = None,
|  |  | pw = 1 )

    See _display.pygamescreen.PyGameScreen

Reimplemented from pygaze._screen.basescreen.BaseScreen.

## ◆ draw_polygon()

pygaze._screen.osscreen.OSScreen.draw_polygon | ( |  | self,
|  |  | pointlist,
|  |  | colour = None,
|  |  | pw = 1,
|  |  | fill = True )

    See _display.pygamescreen.PyGameScreen

Reimplemented from pygaze._screen.basescreen.BaseScreen.

## ◆ draw_rect()

pygaze._screen.osscreen.OSScreen.draw_rect | ( |  | self,
|  |  | colour = None,
|  |  | x = None,
|  |  | y = None,
|  |  | w = 50,
|  |  | h = 50,
|  |  | pw = 1,
|  |  | fill = False )

    See _display.pygamescreen.PyGameScreen

Reimplemented from pygaze._screen.basescreen.BaseScreen.

## ◆ draw_text()

pygaze._screen.osscreen.OSScreen.draw_text | ( |  | self,
|  |  | text = 'text',
|  |  | colour = None,
|  |  | pos = None,
|  |  | center = True,
|  |  | font = 'mono',
|  |  | fontsize = 12,
|  |  | antialias = True )

    See _display.pygamescreen.PyGameScreen

Reimplemented from pygaze._screen.basescreen.BaseScreen.

## ◆ set_background_colour()

pygaze._screen.osscreen.OSScreen.set_background_colour | ( |  | self,
|  |  | colour = None )

    See _display.pygamescreen.PyGameScreen

Reimplemented from pygaze._screen.basescreen.BaseScreen.

## Member Data Documentation

## ◆ canvas

pygaze._screen.osscreen.OSScreen.canvas = screen.copy()

## ◆ experiment

pygaze._screen.osscreen.OSScreen.experiment = settings.osexperiment

## ◆ uniform_coordinates

str pygaze._screen.osscreen.OSScreen.uniform_coordinates = u'yes'

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/_screen/osscreen.py